Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class AttCertValidityPeriod

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.AttCertValidityPeriod

All Implemented Interfaces:
  DEREncodable

    public class AttCertValidityPeriod

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`AttCertValidityPeriod(ASN1Sequence seq)`
`AttCertValidityPeriod(DERGeneralizedTime notBeforeTime, DERGeneralizedTime notAfterTime)`

Method Summary
`static AttCertValidityPeriod` `getInstance(java.lang.Object obj)`
`DERGeneralizedTime` `getNotAfterTime()`
`DERGeneralizedTime` `getNotBeforeTime()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttCertValidityPeriod

    public AttCertValidityPeriod(ASN1Sequence seq)

### AttCertValidityPeriod

    public AttCertValidityPeriod(DERGeneralizedTime notBeforeTime,
                                 DERGeneralizedTime notAfterTime)

Parameters:
  `notBeforeTime` -
  `notAfterTime` -

Method Detail

### getInstance

    public static AttCertValidityPeriod getInstance(java.lang.Object obj)

### getNotBeforeTime

    public DERGeneralizedTime getNotBeforeTime()

### getNotAfterTime

    public DERGeneralizedTime getNotAfterTime()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        AttCertValidityPeriod  ::= SEQUENCE {
             notBeforeTime  GeneralizedTime,
             notAfterTime   GeneralizedTime
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45